<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public string $migration;
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->table('card_transaction', function(Blueprint $table) {
            $table->integer("from_balance")->after("from")->default(0);
            $table->integer("to_balance")->after("to")->default(0);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->table('card_transaction', function(Blueprint $table) {
            $table->dropColumn("from_balance");
            $table->dropColumn("to_balance");
        });
    }
};
