<?php

namespace app\modules\tgbot\models\forms;

use kernel\FormModel;

/**
 * @property string $type
 * @property integer $card_id
 */
class CardActionStep2Form extends FormModel
{

    public function rules(): array
    {
        return [
            'type' => 'required|min-str-len:3',
            'card_id' => 'required|alpha-numeric',
            'amount' => 'alpha-numeric',
        ];
    }

}